Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaClipData

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaClip
              org.pdfclown.documents.multimedia.MediaClipData

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class MediaClipData

extends MediaClip

Media clip data [PDF:1.7:9.1.3].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `MediaClipData.TempFilePermissionEnum` Circumstance under which it is acceptable to write a temporary file in order to play a media clip.
`static class` | `MediaClipData.Viability` Media clip data viability.

Constructor Summary
`MediaClipData(PdfObjectWrapper<?> data, String mimeType)`

Method Summary
`MediaClipData` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`PdfObjectWrapper<?>` | `getData()` Gets the actual media data.
`String` | `getMimeType()` Gets the MIME type of data [RFC 2045].
`MediaPlayers` | `getPlayers()` Gets the player rules for playing this media.
`MediaClipData.Viability` | `getPreferences()` Gets the preferred options the renderer should attempt to honor without affecting its viability.
`MediaClipData.Viability` | `getRequirements()` Gets the minimum requirements the renderer must honor in order to be considered viable.
`MediaClipData.TempFilePermissionEnum` | `getTempFilePermission()` Gets the circumstance under which it is acceptable to write a temporary file in order to play this media clip.
`void` | `setData(PdfObjectWrapper<?> value)`
`void` | `setMimeType(String value)`
`void` | `setPlayers(MediaPlayers value)`
`void` | `setPreferences(MediaClipData.Viability value)`
`void` | `setRequirements(MediaClipData.Viability value)`
`void` | `setTempFilePermission(MediaClipData.TempFilePermissionEnum value)`

Methods inherited from class org.pdfclown.documents.multimedia.MediaClip
`wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaClipData

    public MediaClipData(PdfObjectWrapper<?> data,
                         String mimeType)

Method Detail

### clone

    public MediaClipData clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getData

    public PdfObjectWrapper<?> getData()

  Description copied from class: `MediaClip`
  Gets the actual media data.

  Specified by:
    `getData` in class `MediaClip`
  Returns:
    Either a `FullFileSpecification`} or a `FormXObject`}.

### getMimeType

    public String getMimeType()

  Gets the MIME type of data [RFC 2045].

### getPlayers

    public MediaPlayers getPlayers()

  Gets the player rules for playing this media.

### getPreferences

    public MediaClipData.Viability getPreferences()

  Gets the preferred options the renderer should attempt to honor without affecting its viability.

### getRequirements

    public MediaClipData.Viability getRequirements()

  Gets the minimum requirements the renderer must honor in order to be considered viable.

### getTempFilePermission

    public MediaClipData.TempFilePermissionEnum getTempFilePermission()

  Gets the circumstance under which it is acceptable to write a temporary file in order to play this media clip.

### setData

    public void setData(PdfObjectWrapper<?> value)

  See Also:
    `getData()`

### setMimeType

    public void setMimeType(String value)

  See Also:
    `getMimeType()`

### setPlayers

    public void setPlayers(MediaPlayers value)

  See Also:
    `getPlayers()`

### setPreferences

    public void setPreferences(MediaClipData.Viability value)

  See Also:
    `getPreferences()`

### setRequirements

    public void setRequirements(MediaClipData.Viability value)

  See Also:
    `getRequirements()`

### setTempFilePermission

    public void setTempFilePermission(MediaClipData.TempFilePermissionEnum value)

  See Also:
    `getTempFilePermission()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.